Permit EAP-Message and State from the home server, so that
[freeradius.git] / src / modules / rlm_checkval / configure
1 #! /bin/sh
2 # From configure.in Revision: 1.2.6.1 .
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated by GNU Autoconf 2.59.
5 #
6 # Copyright (C) 2003 Free Software Foundation, Inc.
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
9 ## --------------------- ##
10 ## M4sh Initialization.  ##
11 ## --------------------- ##
12
13 # Be Bourne compatible
14 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
15   emulate sh
16   NULLCMD=:
17   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
18   # is contrary to our usage.  Disable this feature.
19   alias -g '${1+"$@"}'='"$@"'
20 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
21   set -o posix
22 fi
23 DUALCASE=1; export DUALCASE # for MKS sh
24
25 # Support unset when possible.
26 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
27   as_unset=unset
28 else
29   as_unset=false
30 fi
31
32
33 # Work around bugs in pre-3.0 UWIN ksh.
34 $as_unset ENV MAIL MAILPATH
35 PS1='$ '
36 PS2='> '
37 PS4='+ '
38
39 # NLS nuisances.
40 for as_var in \
41   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
42   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
43   LC_TELEPHONE LC_TIME
44 do
45   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
46     eval $as_var=C; export $as_var
47   else
48     $as_unset $as_var
49   fi
50 done
51
52 # Required to use basename.
53 if expr a : '\(a\)' >/dev/null 2>&1; then
54   as_expr=expr
55 else
56   as_expr=false
57 fi
58
59 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
60   as_basename=basename
61 else
62   as_basename=false
63 fi
64
65
66 # Name of the executable.
67 as_me=`$as_basename "$0" ||
68 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
69          X"$0" : 'X\(//\)$' \| \
70          X"$0" : 'X\(/\)$' \| \
71          .     : '\(.\)' 2>/dev/null ||
72 echo X/"$0" |
73     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
74           /^X\/\(\/\/\)$/{ s//\1/; q; }
75           /^X\/\(\/\).*/{ s//\1/; q; }
76           s/.*/./; q'`
77
78
79 # PATH needs CR, and LINENO needs CR and PATH.
80 # Avoid depending upon Character Ranges.
81 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
82 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
83 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
84 as_cr_digits='0123456789'
85 as_cr_alnum=$as_cr_Letters$as_cr_digits
86
87 # The user is always right.
88 if test "${PATH_SEPARATOR+set}" != set; then
89   echo "#! /bin/sh" >conf$$.sh
90   echo  "exit 0"   >>conf$$.sh
91   chmod +x conf$$.sh
92   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
93     PATH_SEPARATOR=';'
94   else
95     PATH_SEPARATOR=:
96   fi
97   rm -f conf$$.sh
98 fi
99
100
101   as_lineno_1=$LINENO
102   as_lineno_2=$LINENO
103   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
104   test "x$as_lineno_1" != "x$as_lineno_2" &&
105   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
106   # Find who we are.  Look in the path if we contain no path at all
107   # relative or not.
108   case $0 in
109     *[\\/]* ) as_myself=$0 ;;
110     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
111 for as_dir in $PATH
112 do
113   IFS=$as_save_IFS
114   test -z "$as_dir" && as_dir=.
115   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
116 done
117
118        ;;
119   esac
120   # We did not find ourselves, most probably we were run as `sh COMMAND'
121   # in which case we are not to be found in the path.
122   if test "x$as_myself" = x; then
123     as_myself=$0
124   fi
125   if test ! -f "$as_myself"; then
126     { echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2
127    { (exit 1); exit 1; }; }
128   fi
129   case $CONFIG_SHELL in
130   '')
131     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
132 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
133 do
134   IFS=$as_save_IFS
135   test -z "$as_dir" && as_dir=.
136   for as_base in sh bash ksh sh5; do
137          case $as_dir in
138          /*)
139            if ("$as_dir/$as_base" -c '
140   as_lineno_1=$LINENO
141   as_lineno_2=$LINENO
142   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
143   test "x$as_lineno_1" != "x$as_lineno_2" &&
144   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
145              $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
146              $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
147              CONFIG_SHELL=$as_dir/$as_base
148              export CONFIG_SHELL
149              exec "$CONFIG_SHELL" "$0" ${1+"$@"}
150            fi;;
151          esac
152        done
153 done
154 ;;
155   esac
156
157   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
158   # uniformly replaced by the line number.  The first 'sed' inserts a
159   # line-number line before each line; the second 'sed' does the real
160   # work.  The second script uses 'N' to pair each line-number line
161   # with the numbered line, and appends trailing '-' during
162   # substitution so that $LINENO is not a special case at line end.
163   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
164   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
165   sed '=' <$as_myself |
166     sed '
167       N
168       s,$,-,
169       : loop
170       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
171       t loop
172       s,-$,,
173       s,^['$as_cr_digits']*\n,,
174     ' >$as_me.lineno &&
175   chmod +x $as_me.lineno ||
176     { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
177    { (exit 1); exit 1; }; }
178
179   # Don't try to exec as it changes $[0], causing all sort of problems
180   # (the dirname of $[0] is not the place where we might find the
181   # original and so on.  Autoconf is especially sensible to this).
182   . ./$as_me.lineno
183   # Exit status is that of the last command.
184   exit
185 }
186
187
188 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
189   *c*,-n*) ECHO_N= ECHO_C='
190 ' ECHO_T='      ' ;;
191   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
192   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
193 esac
194
195 if expr a : '\(a\)' >/dev/null 2>&1; then
196   as_expr=expr
197 else
198   as_expr=false
199 fi
200
201 rm -f conf$$ conf$$.exe conf$$.file
202 echo >conf$$.file
203 if ln -s conf$$.file conf$$ 2>/dev/null; then
204   # We could just check for DJGPP; but this test a) works b) is more generic
205   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
206   if test -f conf$$.exe; then
207     # Don't use ln at all; we don't have any links
208     as_ln_s='cp -p'
209   else
210     as_ln_s='ln -s'
211   fi
212 elif ln conf$$.file conf$$ 2>/dev/null; then
213   as_ln_s=ln
214 else
215   as_ln_s='cp -p'
216 fi
217 rm -f conf$$ conf$$.exe conf$$.file
218
219 if mkdir -p . 2>/dev/null; then
220   as_mkdir_p=:
221 else
222   test -d ./-p && rmdir ./-p
223   as_mkdir_p=false
224 fi
225
226 as_executable_p="test -f"
227
228 # Sed expression to map a string onto a valid CPP name.
229 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
230
231 # Sed expression to map a string onto a valid variable name.
232 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
233
234
235 # IFS
236 # We need space, tab and new line, in precisely that order.
237 as_nl='
238 '
239 IFS="   $as_nl"
240
241 # CDPATH.
242 $as_unset CDPATH
243
244
245 # Name of the host.
246 # hostname on some systems (SVR3.2, Linux) returns a bogus exit status,
247 # so uname gets run too.
248 ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q`
249
250 exec 6>&1
251
252 #
253 # Initializations.
254 #
255 ac_default_prefix=/usr/local
256 ac_config_libobj_dir=.
257 cross_compiling=no
258 subdirs=
259 MFLAGS=
260 MAKEFLAGS=
261 SHELL=${CONFIG_SHELL-/bin/sh}
262
263 # Maximum number of lines to put in a shell here document.
264 # This variable seems obsolete.  It should probably be removed, and
265 # only ac_max_sed_lines should be used.
266 : ${ac_max_here_lines=38}
267
268 # Identity of this package.
269 PACKAGE_NAME=
270 PACKAGE_TARNAME=
271 PACKAGE_VERSION=
272 PACKAGE_STRING=
273 PACKAGE_BUGREPORT=
274
275 ac_unique_file="rlm_checkval.c"
276 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS targetname LIBOBJS LTLIBOBJS'
277 ac_subst_files=''
278
279 # Initialize some variables set by options.
280 ac_init_help=
281 ac_init_version=false
282 # The variables have the same names as the options, with
283 # dashes changed to underlines.
284 cache_file=/dev/null
285 exec_prefix=NONE
286 no_create=
287 no_recursion=
288 prefix=NONE
289 program_prefix=NONE
290 program_suffix=NONE
291 program_transform_name=s,x,x,
292 silent=
293 site=
294 srcdir=
295 verbose=
296 x_includes=NONE
297 x_libraries=NONE
298
299 # Installation directory options.
300 # These are left unexpanded so users can "make install exec_prefix=/foo"
301 # and all the variables that are supposed to be based on exec_prefix
302 # by default will actually change.
303 # Use braces instead of parens because sh, perl, etc. also accept them.
304 bindir='${exec_prefix}/bin'
305 sbindir='${exec_prefix}/sbin'
306 libexecdir='${exec_prefix}/libexec'
307 datadir='${prefix}/share'
308 sysconfdir='${prefix}/etc'
309 sharedstatedir='${prefix}/com'
310 localstatedir='${prefix}/var'
311 libdir='${exec_prefix}/lib'
312 includedir='${prefix}/include'
313 oldincludedir='/usr/include'
314 infodir='${prefix}/info'
315 mandir='${prefix}/man'
316
317 ac_prev=
318 for ac_option
319 do
320   # If the previous option needs an argument, assign it.
321   if test -n "$ac_prev"; then
322     eval "$ac_prev=\$ac_option"
323     ac_prev=
324     continue
325   fi
326
327   ac_optarg=`expr "x$ac_option" : 'x[^=]*=\(.*\)'`
328
329   # Accept the important Cygnus configure options, so we can diagnose typos.
330
331   case $ac_option in
332
333   -bindir | --bindir | --bindi | --bind | --bin | --bi)
334     ac_prev=bindir ;;
335   -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
336     bindir=$ac_optarg ;;
337
338   -build | --build | --buil | --bui | --bu)
339     ac_prev=build_alias ;;
340   -build=* | --build=* | --buil=* | --bui=* | --bu=*)
341     build_alias=$ac_optarg ;;
342
343   -cache-file | --cache-file | --cache-fil | --cache-fi \
344   | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
345     ac_prev=cache_file ;;
346   -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
347   | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
348     cache_file=$ac_optarg ;;
349
350   --config-cache | -C)
351     cache_file=config.cache ;;
352
353   -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
354     ac_prev=datadir ;;
355   -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
356   | --da=*)
357     datadir=$ac_optarg ;;
358
359   -disable-* | --disable-*)
360     ac_feature=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
361     # Reject names that are not valid shell variable names.
362     expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
363       { echo "$as_me: error: invalid feature name: $ac_feature" >&2
364    { (exit 1); exit 1; }; }
365     ac_feature=`echo $ac_feature | sed 's/-/_/g'`
366     eval "enable_$ac_feature=no" ;;
367
368   -enable-* | --enable-*)
369     ac_feature=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
370     # Reject names that are not valid shell variable names.
371     expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
372       { echo "$as_me: error: invalid feature name: $ac_feature" >&2
373    { (exit 1); exit 1; }; }
374     ac_feature=`echo $ac_feature | sed 's/-/_/g'`
375     case $ac_option in
376       *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`;;
377       *) ac_optarg=yes ;;
378     esac
379     eval "enable_$ac_feature='$ac_optarg'" ;;
380
381   -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
382   | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
383   | --exec | --exe | --ex)
384     ac_prev=exec_prefix ;;
385   -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
386   | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
387   | --exec=* | --exe=* | --ex=*)
388     exec_prefix=$ac_optarg ;;
389
390   -gas | --gas | --ga | --g)
391     # Obsolete; use --with-gas.
392     with_gas=yes ;;
393
394   -help | --help | --hel | --he | -h)
395     ac_init_help=long ;;
396   -help=r* | --help=r* | --hel=r* | --he=r* | -hr*)
397     ac_init_help=recursive ;;
398   -help=s* | --help=s* | --hel=s* | --he=s* | -hs*)
399     ac_init_help=short ;;
400
401   -host | --host | --hos | --ho)
402     ac_prev=host_alias ;;
403   -host=* | --host=* | --hos=* | --ho=*)
404     host_alias=$ac_optarg ;;
405
406   -includedir | --includedir | --includedi | --included | --include \
407   | --includ | --inclu | --incl | --inc)
408     ac_prev=includedir ;;
409   -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
410   | --includ=* | --inclu=* | --incl=* | --inc=*)
411     includedir=$ac_optarg ;;
412
413   -infodir | --infodir | --infodi | --infod | --info | --inf)
414     ac_prev=infodir ;;
415   -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
416     infodir=$ac_optarg ;;
417
418   -libdir | --libdir | --libdi | --libd)
419     ac_prev=libdir ;;
420   -libdir=* | --libdir=* | --libdi=* | --libd=*)
421     libdir=$ac_optarg ;;
422
423   -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
424   | --libexe | --libex | --libe)
425     ac_prev=libexecdir ;;
426   -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
427   | --libexe=* | --libex=* | --libe=*)
428     libexecdir=$ac_optarg ;;
429
430   -localstatedir | --localstatedir | --localstatedi | --localstated \
431   | --localstate | --localstat | --localsta | --localst \
432   | --locals | --local | --loca | --loc | --lo)
433     ac_prev=localstatedir ;;
434   -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
435   | --localstate=* | --localstat=* | --localsta=* | --localst=* \
436   | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
437     localstatedir=$ac_optarg ;;
438
439   -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
440     ac_prev=mandir ;;
441   -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
442     mandir=$ac_optarg ;;
443
444   -nfp | --nfp | --nf)
445     # Obsolete; use --without-fp.
446     with_fp=no ;;
447
448   -no-create | --no-create | --no-creat | --no-crea | --no-cre \
449   | --no-cr | --no-c | -n)
450     no_create=yes ;;
451
452   -no-recursion | --no-recursion | --no-recursio | --no-recursi \
453   | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
454     no_recursion=yes ;;
455
456   -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
457   | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
458   | --oldin | --oldi | --old | --ol | --o)
459     ac_prev=oldincludedir ;;
460   -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
461   | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
462   | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
463     oldincludedir=$ac_optarg ;;
464
465   -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
466     ac_prev=prefix ;;
467   -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
468     prefix=$ac_optarg ;;
469
470   -program-prefix | --program-prefix | --program-prefi | --program-pref \
471   | --program-pre | --program-pr | --program-p)
472     ac_prev=program_prefix ;;
473   -program-prefix=* | --program-prefix=* | --program-prefi=* \
474   | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
475     program_prefix=$ac_optarg ;;
476
477   -program-suffix | --program-suffix | --program-suffi | --program-suff \
478   | --program-suf | --program-su | --program-s)
479     ac_prev=program_suffix ;;
480   -program-suffix=* | --program-suffix=* | --program-suffi=* \
481   | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
482     program_suffix=$ac_optarg ;;
483
484   -program-transform-name | --program-transform-name \
485   | --program-transform-nam | --program-transform-na \
486   | --program-transform-n | --program-transform- \
487   | --program-transform | --program-transfor \
488   | --program-transfo | --program-transf \
489   | --program-trans | --program-tran \
490   | --progr-tra | --program-tr | --program-t)
491     ac_prev=program_transform_name ;;
492   -program-transform-name=* | --program-transform-name=* \
493   | --program-transform-nam=* | --program-transform-na=* \
494   | --program-transform-n=* | --program-transform-=* \
495   | --program-transform=* | --program-transfor=* \
496   | --program-transfo=* | --program-transf=* \
497   | --program-trans=* | --program-tran=* \
498   | --progr-tra=* | --program-tr=* | --program-t=*)
499     program_transform_name=$ac_optarg ;;
500
501   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
502   | -silent | --silent | --silen | --sile | --sil)
503     silent=yes ;;
504
505   -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
506     ac_prev=sbindir ;;
507   -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
508   | --sbi=* | --sb=*)
509     sbindir=$ac_optarg ;;
510
511   -sharedstatedir | --sharedstatedir | --sharedstatedi \
512   | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
513   | --sharedst | --shareds | --shared | --share | --shar \
514   | --sha | --sh)
515     ac_prev=sharedstatedir ;;
516   -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
517   | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
518   | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
519   | --sha=* | --sh=*)
520     sharedstatedir=$ac_optarg ;;
521
522   -site | --site | --sit)
523     ac_prev=site ;;
524   -site=* | --site=* | --sit=*)
525     site=$ac_optarg ;;
526
527   -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
528     ac_prev=srcdir ;;
529   -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
530     srcdir=$ac_optarg ;;
531
532   -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
533   | --syscon | --sysco | --sysc | --sys | --sy)
534     ac_prev=sysconfdir ;;
535   -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
536   | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
537     sysconfdir=$ac_optarg ;;
538
539   -target | --target | --targe | --targ | --tar | --ta | --t)
540     ac_prev=target_alias ;;
541   -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
542     target_alias=$ac_optarg ;;
543
544   -v | -verbose | --verbose | --verbos | --verbo | --verb)
545     verbose=yes ;;
546
547   -version | --version | --versio | --versi | --vers | -V)
548     ac_init_version=: ;;
549
550   -with-* | --with-*)
551     ac_package=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
552     # Reject names that are not valid shell variable names.
553     expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
554       { echo "$as_me: error: invalid package name: $ac_package" >&2
555    { (exit 1); exit 1; }; }
556     ac_package=`echo $ac_package| sed 's/-/_/g'`
557     case $ac_option in
558       *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`;;
559       *) ac_optarg=yes ;;
560     esac
561     eval "with_$ac_package='$ac_optarg'" ;;
562
563   -without-* | --without-*)
564     ac_package=`expr "x$ac_option" : 'x-*without-\(.*\)'`
565     # Reject names that are not valid shell variable names.
566     expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
567       { echo "$as_me: error: invalid package name: $ac_package" >&2
568    { (exit 1); exit 1; }; }
569     ac_package=`echo $ac_package | sed 's/-/_/g'`
570     eval "with_$ac_package=no" ;;
571
572   --x)
573     # Obsolete; use --with-x.
574     with_x=yes ;;
575
576   -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
577   | --x-incl | --x-inc | --x-in | --x-i)
578     ac_prev=x_includes ;;
579   -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
580   | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
581     x_includes=$ac_optarg ;;
582
583   -x-libraries | --x-libraries | --x-librarie | --x-librari \
584   | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
585     ac_prev=x_libraries ;;
586   -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
587   | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
588     x_libraries=$ac_optarg ;;
589
590   -*) { echo "$as_me: error: unrecognized option: $ac_option
591 Try \`$0 --help' for more information." >&2
592    { (exit 1); exit 1; }; }
593     ;;
594
595   *=*)
596     ac_envvar=`expr "x$ac_option" : 'x\([^=]*\)='`
597     # Reject names that are not valid shell variable names.
598     expr "x$ac_envvar" : ".*[^_$as_cr_alnum]" >/dev/null &&
599       { echo "$as_me: error: invalid variable name: $ac_envvar" >&2
600    { (exit 1); exit 1; }; }
601     ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`
602     eval "$ac_envvar='$ac_optarg'"
603     export $ac_envvar ;;
604
605   *)
606     # FIXME: should be removed in autoconf 3.0.
607     echo "$as_me: WARNING: you should use --build, --host, --target" >&2
608     expr "x$ac_option" : ".*[^-._$as_cr_alnum]" >/dev/null &&
609       echo "$as_me: WARNING: invalid host type: $ac_option" >&2
610     : ${build_alias=$ac_option} ${host_alias=$ac_option} ${target_alias=$ac_option}
611     ;;
612
613   esac
614 done
615
616 if test -n "$ac_prev"; then
617   ac_option=--`echo $ac_prev | sed 's/_/-/g'`
618   { echo "$as_me: error: missing argument to $ac_option" >&2
619    { (exit 1); exit 1; }; }
620 fi
621
622 # Be sure to have absolute paths.
623 for ac_var in exec_prefix prefix
624 do
625   eval ac_val=$`echo $ac_var`
626   case $ac_val in
627     [\\/$]* | ?:[\\/]* | NONE | '' ) ;;
628     *)  { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
629    { (exit 1); exit 1; }; };;
630   esac
631 done
632
633 # Be sure to have absolute paths.
634 for ac_var in bindir sbindir libexecdir datadir sysconfdir sharedstatedir \
635               localstatedir libdir includedir oldincludedir infodir mandir
636 do
637   eval ac_val=$`echo $ac_var`
638   case $ac_val in
639     [\\/$]* | ?:[\\/]* ) ;;
640     *)  { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
641    { (exit 1); exit 1; }; };;
642   esac
643 done
644
645 # There might be people who depend on the old broken behavior: `$host'
646 # used to hold the argument of --host etc.
647 # FIXME: To remove some day.
648 build=$build_alias
649 host=$host_alias
650 target=$target_alias
651
652 # FIXME: To remove some day.
653 if test "x$host_alias" != x; then
654   if test "x$build_alias" = x; then
655     cross_compiling=maybe
656     echo "$as_me: WARNING: If you wanted to set the --build type, don't use --host.
657     If a cross compiler is detected then cross compile mode will be used." >&2
658   elif test "x$build_alias" != "x$host_alias"; then
659     cross_compiling=yes
660   fi
661 fi
662
663 ac_tool_prefix=
664 test -n "$host_alias" && ac_tool_prefix=$host_alias-
665
666 test "$silent" = yes && exec 6>/dev/null
667
668
669 # Find the source files, if location was not specified.
670 if test -z "$srcdir"; then
671   ac_srcdir_defaulted=yes
672   # Try the directory containing this script, then its parent.
673   ac_confdir=`(dirname "$0") 2>/dev/null ||
674 $as_expr X"$0" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
675          X"$0" : 'X\(//\)[^/]' \| \
676          X"$0" : 'X\(//\)$' \| \
677          X"$0" : 'X\(/\)' \| \
678          .     : '\(.\)' 2>/dev/null ||
679 echo X"$0" |
680     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
681           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
682           /^X\(\/\/\)$/{ s//\1/; q; }
683           /^X\(\/\).*/{ s//\1/; q; }
684           s/.*/./; q'`
685   srcdir=$ac_confdir
686   if test ! -r $srcdir/$ac_unique_file; then
687     srcdir=..
688   fi
689 else
690   ac_srcdir_defaulted=no
691 fi
692 if test ! -r $srcdir/$ac_unique_file; then
693   if test "$ac_srcdir_defaulted" = yes; then
694     { echo "$as_me: error: cannot find sources ($ac_unique_file) in $ac_confdir or .." >&2
695    { (exit 1); exit 1; }; }
696   else
697     { echo "$as_me: error: cannot find sources ($ac_unique_file) in $srcdir" >&2
698    { (exit 1); exit 1; }; }
699   fi
700 fi
701 (cd $srcdir && test -r ./$ac_unique_file) 2>/dev/null ||
702   { echo "$as_me: error: sources are in $srcdir, but \`cd $srcdir' does not work" >&2
703    { (exit 1); exit 1; }; }
704 srcdir=`echo "$srcdir" | sed 's%\([^\\/]\)[\\/]*$%\1%'`
705 ac_env_build_alias_set=${build_alias+set}
706 ac_env_build_alias_value=$build_alias
707 ac_cv_env_build_alias_set=${build_alias+set}
708 ac_cv_env_build_alias_value=$build_alias
709 ac_env_host_alias_set=${host_alias+set}
710 ac_env_host_alias_value=$host_alias
711 ac_cv_env_host_alias_set=${host_alias+set}
712 ac_cv_env_host_alias_value=$host_alias
713 ac_env_target_alias_set=${target_alias+set}
714 ac_env_target_alias_value=$target_alias
715 ac_cv_env_target_alias_set=${target_alias+set}
716 ac_cv_env_target_alias_value=$target_alias
717
718 #
719 # Report the --help message.
720 #
721 if test "$ac_init_help" = "long"; then
722   # Omit some internal or obsolete options to make the list less imposing.
723   # This message is too long to be a string in the A/UX 3.1 sh.
724   cat <<_ACEOF
725 \`configure' configures this package to adapt to many kinds of systems.
726
727 Usage: $0 [OPTION]... [VAR=VALUE]...
728
729 To assign environment variables (e.g., CC, CFLAGS...), specify them as
730 VAR=VALUE.  See below for descriptions of some of the useful variables.
731
732 Defaults for the options are specified in brackets.
733
734 Configuration:
735   -h, --help              display this help and exit
736       --help=short        display options specific to this package
737       --help=recursive    display the short help of all the included packages
738   -V, --version           display version information and exit
739   -q, --quiet, --silent   do not print \`checking...' messages
740       --cache-file=FILE   cache test results in FILE [disabled]
741   -C, --config-cache      alias for \`--cache-file=config.cache'
742   -n, --no-create         do not create output files
743       --srcdir=DIR        find the sources in DIR [configure dir or \`..']
744
745 _ACEOF
746
747   cat <<_ACEOF
748 Installation directories:
749   --prefix=PREFIX         install architecture-independent files in PREFIX
750                           [$ac_default_prefix]
751   --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
752                           [PREFIX]
753
754 By default, \`make install' will install all the files in
755 \`$ac_default_prefix/bin', \`$ac_default_prefix/lib' etc.  You can specify
756 an installation prefix other than \`$ac_default_prefix' using \`--prefix',
757 for instance \`--prefix=\$HOME'.
758
759 For better control, use the options below.
760
761 Fine tuning of the installation directories:
762   --bindir=DIR           user executables [EPREFIX/bin]
763   --sbindir=DIR          system admin executables [EPREFIX/sbin]
764   --libexecdir=DIR       program executables [EPREFIX/libexec]
765   --datadir=DIR          read-only architecture-independent data [PREFIX/share]
766   --sysconfdir=DIR       read-only single-machine data [PREFIX/etc]
767   --sharedstatedir=DIR   modifiable architecture-independent data [PREFIX/com]
768   --localstatedir=DIR    modifiable single-machine data [PREFIX/var]
769   --libdir=DIR           object code libraries [EPREFIX/lib]
770   --includedir=DIR       C header files [PREFIX/include]
771   --oldincludedir=DIR    C header files for non-gcc [/usr/include]
772   --infodir=DIR          info documentation [PREFIX/info]
773   --mandir=DIR           man documentation [PREFIX/man]
774 _ACEOF
775
776   cat <<\_ACEOF
777 _ACEOF
778 fi
779
780 if test -n "$ac_init_help"; then
781
782   cat <<\_ACEOF
783
784 _ACEOF
785 fi
786
787 if test "$ac_init_help" = "recursive"; then
788   # If there are subdirs, report their specific --help.
789   ac_popdir=`pwd`
790   for ac_dir in : $ac_subdirs_all; do test "x$ac_dir" = x: && continue
791     test -d $ac_dir || continue
792     ac_builddir=.
793
794 if test "$ac_dir" != .; then
795   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
796   # A "../" for each directory in $ac_dir_suffix.
797   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
798 else
799   ac_dir_suffix= ac_top_builddir=
800 fi
801
802 case $srcdir in
803   .)  # No --srcdir option.  We are building in place.
804     ac_srcdir=.
805     if test -z "$ac_top_builddir"; then
806        ac_top_srcdir=.
807     else
808        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
809     fi ;;
810   [\\/]* | ?:[\\/]* )  # Absolute path.
811     ac_srcdir=$srcdir$ac_dir_suffix;
812     ac_top_srcdir=$srcdir ;;
813   *) # Relative path.
814     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
815     ac_top_srcdir=$ac_top_builddir$srcdir ;;
816 esac
817
818 # Do not use `cd foo && pwd` to compute absolute paths, because
819 # the directories may not exist.
820 case `pwd` in
821 .) ac_abs_builddir="$ac_dir";;
822 *)
823   case "$ac_dir" in
824   .) ac_abs_builddir=`pwd`;;
825   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
826   *) ac_abs_builddir=`pwd`/"$ac_dir";;
827   esac;;
828 esac
829 case $ac_abs_builddir in
830 .) ac_abs_top_builddir=${ac_top_builddir}.;;
831 *)
832   case ${ac_top_builddir}. in
833   .) ac_abs_top_builddir=$ac_abs_builddir;;
834   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
835   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
836   esac;;
837 esac
838 case $ac_abs_builddir in
839 .) ac_abs_srcdir=$ac_srcdir;;
840 *)
841   case $ac_srcdir in
842   .) ac_abs_srcdir=$ac_abs_builddir;;
843   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
844   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
845   esac;;
846 esac
847 case $ac_abs_builddir in
848 .) ac_abs_top_srcdir=$ac_top_srcdir;;
849 *)
850   case $ac_top_srcdir in
851   .) ac_abs_top_srcdir=$ac_abs_builddir;;
852   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
853   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
854   esac;;
855 esac
856
857     cd $ac_dir
858     # Check for guested configure; otherwise get Cygnus style configure.
859     if test -f $ac_srcdir/configure.gnu; then
860       echo
861       $SHELL $ac_srcdir/configure.gnu  --help=recursive
862     elif test -f $ac_srcdir/configure; then
863       echo
864       $SHELL $ac_srcdir/configure  --help=recursive
865     elif test -f $ac_srcdir/configure.ac ||
866            test -f $ac_srcdir/configure.in; then
867       echo
868       $ac_configure --help
869     else
870       echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
871     fi
872     cd $ac_popdir
873   done
874 fi
875
876 test -n "$ac_init_help" && exit 0
877 if $ac_init_version; then
878   cat <<\_ACEOF
879
880 Copyright (C) 2003 Free Software Foundation, Inc.
881 This configure script is free software; the Free Software Foundation
882 gives unlimited permission to copy, distribute and modify it.
883 _ACEOF
884   exit 0
885 fi
886 exec 5>config.log
887 cat >&5 <<_ACEOF
888 This file contains any messages produced by compilers while
889 running configure, to aid debugging if configure makes a mistake.
890
891 It was created by $as_me, which was
892 generated by GNU Autoconf 2.59.  Invocation command line was
893
894   $ $0 $@
895
896 _ACEOF
897 {
898 cat <<_ASUNAME
899 ## --------- ##
900 ## Platform. ##
901 ## --------- ##
902
903 hostname = `(hostname || uname -n) 2>/dev/null | sed 1q`
904 uname -m = `(uname -m) 2>/dev/null || echo unknown`
905 uname -r = `(uname -r) 2>/dev/null || echo unknown`
906 uname -s = `(uname -s) 2>/dev/null || echo unknown`
907 uname -v = `(uname -v) 2>/dev/null || echo unknown`
908
909 /usr/bin/uname -p = `(/usr/bin/uname -p) 2>/dev/null || echo unknown`
910 /bin/uname -X     = `(/bin/uname -X) 2>/dev/null     || echo unknown`
911
912 /bin/arch              = `(/bin/arch) 2>/dev/null              || echo unknown`
913 /usr/bin/arch -k       = `(/usr/bin/arch -k) 2>/dev/null       || echo unknown`
914 /usr/convex/getsysinfo = `(/usr/convex/getsysinfo) 2>/dev/null || echo unknown`
915 hostinfo               = `(hostinfo) 2>/dev/null               || echo unknown`
916 /bin/machine           = `(/bin/machine) 2>/dev/null           || echo unknown`
917 /usr/bin/oslevel       = `(/usr/bin/oslevel) 2>/dev/null       || echo unknown`
918 /bin/universe          = `(/bin/universe) 2>/dev/null          || echo unknown`
919
920 _ASUNAME
921
922 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
923 for as_dir in $PATH
924 do
925   IFS=$as_save_IFS
926   test -z "$as_dir" && as_dir=.
927   echo "PATH: $as_dir"
928 done
929
930 } >&5
931
932 cat >&5 <<_ACEOF
933
934
935 ## ----------- ##
936 ## Core tests. ##
937 ## ----------- ##
938
939 _ACEOF
940
941
942 # Keep a trace of the command line.
943 # Strip out --no-create and --no-recursion so they do not pile up.
944 # Strip out --silent because we don't want to record it for future runs.
945 # Also quote any args containing shell meta-characters.
946 # Make two passes to allow for proper duplicate-argument suppression.
947 ac_configure_args=
948 ac_configure_args0=
949 ac_configure_args1=
950 ac_sep=
951 ac_must_keep_next=false
952 for ac_pass in 1 2
953 do
954   for ac_arg
955   do
956     case $ac_arg in
957     -no-create | --no-c* | -n | -no-recursion | --no-r*) continue ;;
958     -q | -quiet | --quiet | --quie | --qui | --qu | --q \
959     | -silent | --silent | --silen | --sile | --sil)
960       continue ;;
961     *" "*|*"    "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
962       ac_arg=`echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
963     esac
964     case $ac_pass in
965     1) ac_configure_args0="$ac_configure_args0 '$ac_arg'" ;;
966     2)
967       ac_configure_args1="$ac_configure_args1 '$ac_arg'"
968       if test $ac_must_keep_next = true; then
969         ac_must_keep_next=false # Got value, back to normal.
970       else
971         case $ac_arg in
972           *=* | --config-cache | -C | -disable-* | --disable-* \
973           | -enable-* | --enable-* | -gas | --g* | -nfp | --nf* \
974           | -q | -quiet | --q* | -silent | --sil* | -v | -verb* \
975           | -with-* | --with-* | -without-* | --without-* | --x)
976             case "$ac_configure_args0 " in
977               "$ac_configure_args1"*" '$ac_arg' "* ) continue ;;
978             esac
979             ;;
980           -* ) ac_must_keep_next=true ;;
981         esac
982       fi
983       ac_configure_args="$ac_configure_args$ac_sep'$ac_arg'"
984       # Get rid of the leading space.
985       ac_sep=" "
986       ;;
987     esac
988   done
989 done
990 $as_unset ac_configure_args0 || test "${ac_configure_args0+set}" != set || { ac_configure_args0=; export ac_configure_args0; }
991 $as_unset ac_configure_args1 || test "${ac_configure_args1+set}" != set || { ac_configure_args1=; export ac_configure_args1; }
992
993 # When interrupted or exit'd, cleanup temporary files, and complete
994 # config.log.  We remove comments because anyway the quotes in there
995 # would cause problems or look ugly.
996 # WARNING: Be sure not to use single quotes in there, as some shells,
997 # such as our DU 5.0 friend, will then `close' the trap.
998 trap 'exit_status=$?
999   # Save into config.log some information that might help in debugging.
1000   {
1001     echo
1002
1003     cat <<\_ASBOX
1004 ## ---------------- ##
1005 ## Cache variables. ##
1006 ## ---------------- ##
1007 _ASBOX
1008     echo
1009     # The following way of writing the cache mishandles newlines in values,
1010 {
1011   (set) 2>&1 |
1012     case `(ac_space='"'"' '"'"'; set | grep ac_space) 2>&1` in
1013     *ac_space=\ *)
1014       sed -n \
1015         "s/'"'"'/'"'"'\\\\'"'"''"'"'/g;
1016           s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='"'"'\\2'"'"'/p"
1017       ;;
1018     *)
1019       sed -n \
1020         "s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1=\\2/p"
1021       ;;
1022     esac;
1023 }
1024     echo
1025
1026     cat <<\_ASBOX
1027 ## ----------------- ##
1028 ## Output variables. ##
1029 ## ----------------- ##
1030 _ASBOX
1031     echo
1032     for ac_var in $ac_subst_vars
1033     do
1034       eval ac_val=$`echo $ac_var`
1035       echo "$ac_var='"'"'$ac_val'"'"'"
1036     done | sort
1037     echo
1038
1039     if test -n "$ac_subst_files"; then
1040       cat <<\_ASBOX
1041 ## ------------- ##
1042 ## Output files. ##
1043 ## ------------- ##
1044 _ASBOX
1045       echo
1046       for ac_var in $ac_subst_files
1047       do
1048         eval ac_val=$`echo $ac_var`
1049         echo "$ac_var='"'"'$ac_val'"'"'"
1050       done | sort
1051       echo
1052     fi
1053
1054     if test -s confdefs.h; then
1055       cat <<\_ASBOX
1056 ## ----------- ##
1057 ## confdefs.h. ##
1058 ## ----------- ##
1059 _ASBOX
1060       echo
1061       sed "/^$/d" confdefs.h | sort
1062       echo
1063     fi
1064     test "$ac_signal" != 0 &&
1065       echo "$as_me: caught signal $ac_signal"
1066     echo "$as_me: exit $exit_status"
1067   } >&5
1068   rm -f core *.core &&
1069   rm -rf conftest* confdefs* conf$$* $ac_clean_files &&
1070     exit $exit_status
1071      ' 0
1072 for ac_signal in 1 2 13 15; do
1073   trap 'ac_signal='$ac_signal'; { (exit 1); exit 1; }' $ac_signal
1074 done
1075 ac_signal=0
1076
1077 # confdefs.h avoids OS command line length limits that DEFS can exceed.
1078 rm -rf conftest* confdefs.h
1079 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
1080 echo >confdefs.h
1081
1082 # Predefined preprocessor variables.
1083
1084 cat >>confdefs.h <<_ACEOF
1085 #define PACKAGE_NAME "$PACKAGE_NAME"
1086 _ACEOF
1087
1088
1089 cat >>confdefs.h <<_ACEOF
1090 #define PACKAGE_TARNAME "$PACKAGE_TARNAME"
1091 _ACEOF
1092
1093
1094 cat >>confdefs.h <<_ACEOF
1095 #define PACKAGE_VERSION "$PACKAGE_VERSION"
1096 _ACEOF
1097
1098
1099 cat >>confdefs.h <<_ACEOF
1100 #define PACKAGE_STRING "$PACKAGE_STRING"
1101 _ACEOF
1102
1103
1104 cat >>confdefs.h <<_ACEOF
1105 #define PACKAGE_BUGREPORT "$PACKAGE_BUGREPORT"
1106 _ACEOF
1107
1108
1109 # Let the site file select an alternate cache file if it wants to.
1110 # Prefer explicitly selected file to automatically selected ones.
1111 if test -z "$CONFIG_SITE"; then
1112   if test "x$prefix" != xNONE; then
1113     CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
1114   else
1115     CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
1116   fi
1117 fi
1118 for ac_site_file in $CONFIG_SITE; do
1119   if test -r "$ac_site_file"; then
1120     { echo "$as_me:$LINENO: loading site script $ac_site_file" >&5
1121 echo "$as_me: loading site script $ac_site_file" >&6;}
1122     sed 's/^/| /' "$ac_site_file" >&5
1123     . "$ac_site_file"
1124   fi
1125 done
1126
1127 if test -r "$cache_file"; then
1128   # Some versions of bash will fail to source /dev/null (special
1129   # files actually), so we avoid doing that.
1130   if test -f "$cache_file"; then
1131     { echo "$as_me:$LINENO: loading cache $cache_file" >&5
1132 echo "$as_me: loading cache $cache_file" >&6;}
1133     case $cache_file in
1134       [\\/]* | ?:[\\/]* ) . $cache_file;;
1135       *)                      . ./$cache_file;;
1136     esac
1137   fi
1138 else
1139   { echo "$as_me:$LINENO: creating cache $cache_file" >&5
1140 echo "$as_me: creating cache $cache_file" >&6;}
1141   >$cache_file
1142 fi
1143
1144 # Check that the precious variables saved in the cache have kept the same
1145 # value.
1146 ac_cache_corrupted=false
1147 for ac_var in `(set) 2>&1 |
1148                sed -n 's/^ac_env_\([a-zA-Z_0-9]*\)_set=.*/\1/p'`; do
1149   eval ac_old_set=\$ac_cv_env_${ac_var}_set
1150   eval ac_new_set=\$ac_env_${ac_var}_set
1151   eval ac_old_val="\$ac_cv_env_${ac_var}_value"
1152   eval ac_new_val="\$ac_env_${ac_var}_value"
1153   case $ac_old_set,$ac_new_set in
1154     set,)
1155       { echo "$as_me:$LINENO: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
1156 echo "$as_me: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&2;}
1157       ac_cache_corrupted=: ;;
1158     ,set)
1159       { echo "$as_me:$LINENO: error: \`$ac_var' was not set in the previous run" >&5
1160 echo "$as_me: error: \`$ac_var' was not set in the previous run" >&2;}
1161       ac_cache_corrupted=: ;;
1162     ,);;
1163     *)
1164       if test "x$ac_old_val" != "x$ac_new_val"; then
1165         { echo "$as_me:$LINENO: error: \`$ac_var' has changed since the previous run:" >&5
1166 echo "$as_me: error: \`$ac_var' has changed since the previous run:" >&2;}
1167         { echo "$as_me:$LINENO:   former value:  $ac_old_val" >&5
1168 echo "$as_me:   former value:  $ac_old_val" >&2;}
1169         { echo "$as_me:$LINENO:   current value: $ac_new_val" >&5
1170 echo "$as_me:   current value: $ac_new_val" >&2;}
1171         ac_cache_corrupted=:
1172       fi;;
1173   esac
1174   # Pass precious variables to config.status.
1175   if test "$ac_new_set" = set; then
1176     case $ac_new_val in
1177     *" "*|*"    "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
1178       ac_arg=$ac_var=`echo "$ac_new_val" | sed "s/'/'\\\\\\\\''/g"` ;;
1179     *) ac_arg=$ac_var=$ac_new_val ;;
1180     esac
1181     case " $ac_configure_args " in
1182       *" '$ac_arg' "*) ;; # Avoid dups.  Use of quotes ensures accuracy.
1183       *) ac_configure_args="$ac_configure_args '$ac_arg'" ;;
1184     esac
1185   fi
1186 done
1187 if $ac_cache_corrupted; then
1188   { echo "$as_me:$LINENO: error: changes in the environment can compromise the build" >&5
1189 echo "$as_me: error: changes in the environment can compromise the build" >&2;}
1190   { { echo "$as_me:$LINENO: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5
1191 echo "$as_me: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&2;}
1192    { (exit 1); exit 1; }; }
1193 fi
1194
1195 ac_ext=c
1196 ac_cpp='$CPP $CPPFLAGS'
1197 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1198 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1199 ac_compiler_gnu=$ac_cv_c_compiler_gnu
1200
1201
1202
1203
1204
1205
1206
1207
1208
1209
1210
1211
1212
1213
1214
1215
1216
1217
1218
1219
1220
1221
1222 if test x$with_rlm_checkval != xno; then
1223
1224
1225         targetname=rlm_checkval
1226 else
1227         targetname=
1228         echo \*\*\* module rlm_checkval is disabled.
1229 fi
1230
1231
1232           ac_config_files="$ac_config_files Makefile"
1233 cat >confcache <<\_ACEOF
1234 # This file is a shell script that caches the results of configure
1235 # tests run on this system so they can be shared between configure
1236 # scripts and configure runs, see configure's option --config-cache.
1237 # It is not useful on other systems.  If it contains results you don't
1238 # want to keep, you may remove or edit it.
1239 #
1240 # config.status only pays attention to the cache file if you give it
1241 # the --recheck option to rerun configure.
1242 #
1243 # `ac_cv_env_foo' variables (set or unset) will be overridden when
1244 # loading this file, other *unset* `ac_cv_foo' will be assigned the
1245 # following values.
1246
1247 _ACEOF
1248
1249 # The following way of writing the cache mishandles newlines in values,
1250 # but we know of no workaround that is simple, portable, and efficient.
1251 # So, don't put newlines in cache variables' values.
1252 # Ultrix sh set writes to stderr and can't be redirected directly,
1253 # and sets the high bit in the cache file unless we assign to the vars.
1254 {
1255   (set) 2>&1 |
1256     case `(ac_space=' '; set | grep ac_space) 2>&1` in
1257     *ac_space=\ *)
1258       # `set' does not quote correctly, so add quotes (double-quote
1259       # substitution turns \\\\ into \\, and sed turns \\ into \).
1260       sed -n \
1261         "s/'/'\\\\''/g;
1262           s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='\\2'/p"
1263       ;;
1264     *)
1265       # `set' quotes correctly as required by POSIX, so do not add quotes.
1266       sed -n \
1267         "s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1=\\2/p"
1268       ;;
1269     esac;
1270 } |
1271   sed '
1272      t clear
1273      : clear
1274      s/^\([^=]*\)=\(.*[{}].*\)$/test "${\1+set}" = set || &/
1275      t end
1276      /^ac_cv_env/!s/^\([^=]*\)=\(.*\)$/\1=${\1=\2}/
1277      : end' >>confcache
1278 if diff $cache_file confcache >/dev/null 2>&1; then :; else
1279   if test -w $cache_file; then
1280     test "x$cache_file" != "x/dev/null" && echo "updating cache $cache_file"
1281     cat confcache >$cache_file
1282   else
1283     echo "not updating unwritable cache $cache_file"
1284   fi
1285 fi
1286 rm -f confcache
1287
1288 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1289 # Let make expand exec_prefix.
1290 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1291
1292 # VPATH may cause trouble with some makes, so we remove $(srcdir),
1293 # ${srcdir} and @srcdir@ from VPATH if srcdir is ".", strip leading and
1294 # trailing colons and then remove the whole line if VPATH becomes empty
1295 # (actually we leave an empty line to preserve line numbers).
1296 if test "x$srcdir" = x.; then
1297   ac_vpsub='/^[  ]*VPATH[        ]*=/{
1298 s/:*\$(srcdir):*/:/;
1299 s/:*\${srcdir}:*/:/;
1300 s/:*@srcdir@:*/:/;
1301 s/^\([^=]*=[     ]*\):*/\1/;
1302 s/:*$//;
1303 s/^[^=]*=[       ]*$//;
1304 }'
1305 fi
1306
1307 # Transform confdefs.h into DEFS.
1308 # Protect against shell expansion while executing Makefile rules.
1309 # Protect against Makefile macro expansion.
1310 #
1311 # If the first sed substitution is executed (which looks for macros that
1312 # take arguments), then we branch to the quote section.  Otherwise,
1313 # look for a macro that doesn't take arguments.
1314 cat >confdef2opt.sed <<\_ACEOF
1315 t clear
1316 : clear
1317 s,^[     ]*#[    ]*define[       ][      ]*\([^  (][^    (]*([^)]*)\)[   ]*\(.*\),-D\1=\2,g
1318 t quote
1319 s,^[     ]*#[    ]*define[       ][      ]*\([^  ][^     ]*\)[   ]*\(.*\),-D\1=\2,g
1320 t quote
1321 d
1322 : quote
1323 s,[      `~#$^&*(){}\\|;'"<>?],\\&,g
1324 s,\[,\\&,g
1325 s,\],\\&,g
1326 s,\$,$$,g
1327 p
1328 _ACEOF
1329 # We use echo to avoid assuming a particular line-breaking character.
1330 # The extra dot is to prevent the shell from consuming trailing
1331 # line-breaks from the sub-command output.  A line-break within
1332 # single-quotes doesn't work because, if this script is created in a
1333 # platform that uses two characters for line-breaks (e.g., DOS), tr
1334 # would break.
1335 ac_LF_and_DOT=`echo; echo .`
1336 DEFS=`sed -n -f confdef2opt.sed confdefs.h | tr "$ac_LF_and_DOT" ' .'`
1337 rm -f confdef2opt.sed
1338
1339
1340 ac_libobjs=
1341 ac_ltlibobjs=
1342 for ac_i in : $LIBOBJS; do test "x$ac_i" = x: && continue
1343   # 1. Remove the extension, and $U if already installed.
1344   ac_i=`echo "$ac_i" |
1345          sed 's/\$U\././;s/\.o$//;s/\.obj$//'`
1346   # 2. Add them.
1347   ac_libobjs="$ac_libobjs $ac_i\$U.$ac_objext"
1348   ac_ltlibobjs="$ac_ltlibobjs $ac_i"'$U.lo'
1349 done
1350 LIBOBJS=$ac_libobjs
1351
1352 LTLIBOBJS=$ac_ltlibobjs
1353
1354
1355
1356 : ${CONFIG_STATUS=./config.status}
1357 ac_clean_files_save=$ac_clean_files
1358 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
1359 { echo "$as_me:$LINENO: creating $CONFIG_STATUS" >&5
1360 echo "$as_me: creating $CONFIG_STATUS" >&6;}
1361 cat >$CONFIG_STATUS <<_ACEOF
1362 #! $SHELL
1363 # Generated by $as_me.
1364 # Run this file to recreate the current configuration.
1365 # Compiler output produced by configure, useful for debugging
1366 # configure, is in config.log if it exists.
1367
1368 debug=false
1369 ac_cs_recheck=false
1370 ac_cs_silent=false
1371 SHELL=\${CONFIG_SHELL-$SHELL}
1372 _ACEOF
1373
1374 cat >>$CONFIG_STATUS <<\_ACEOF
1375 ## --------------------- ##
1376 ## M4sh Initialization.  ##
1377 ## --------------------- ##
1378
1379 # Be Bourne compatible
1380 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
1381   emulate sh
1382   NULLCMD=:
1383   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
1384   # is contrary to our usage.  Disable this feature.
1385   alias -g '${1+"$@"}'='"$@"'
1386 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
1387   set -o posix
1388 fi
1389 DUALCASE=1; export DUALCASE # for MKS sh
1390
1391 # Support unset when possible.
1392 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
1393   as_unset=unset
1394 else
1395   as_unset=false
1396 fi
1397
1398
1399 # Work around bugs in pre-3.0 UWIN ksh.
1400 $as_unset ENV MAIL MAILPATH
1401 PS1='$ '
1402 PS2='> '
1403 PS4='+ '
1404
1405 # NLS nuisances.
1406 for as_var in \
1407   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
1408   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
1409   LC_TELEPHONE LC_TIME
1410 do
1411   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
1412     eval $as_var=C; export $as_var
1413   else
1414     $as_unset $as_var
1415   fi
1416 done
1417
1418 # Required to use basename.
1419 if expr a : '\(a\)' >/dev/null 2>&1; then
1420   as_expr=expr
1421 else
1422   as_expr=false
1423 fi
1424
1425 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
1426   as_basename=basename
1427 else
1428   as_basename=false
1429 fi
1430
1431
1432 # Name of the executable.
1433 as_me=`$as_basename "$0" ||
1434 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
1435          X"$0" : 'X\(//\)$' \| \
1436          X"$0" : 'X\(/\)$' \| \
1437          .     : '\(.\)' 2>/dev/null ||
1438 echo X/"$0" |
1439     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
1440           /^X\/\(\/\/\)$/{ s//\1/; q; }
1441           /^X\/\(\/\).*/{ s//\1/; q; }
1442           s/.*/./; q'`
1443
1444
1445 # PATH needs CR, and LINENO needs CR and PATH.
1446 # Avoid depending upon Character Ranges.
1447 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
1448 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
1449 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
1450 as_cr_digits='0123456789'
1451 as_cr_alnum=$as_cr_Letters$as_cr_digits
1452
1453 # The user is always right.
1454 if test "${PATH_SEPARATOR+set}" != set; then
1455   echo "#! /bin/sh" >conf$$.sh
1456   echo  "exit 0"   >>conf$$.sh
1457   chmod +x conf$$.sh
1458   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
1459     PATH_SEPARATOR=';'
1460   else
1461     PATH_SEPARATOR=:
1462   fi
1463   rm -f conf$$.sh
1464 fi
1465
1466
1467   as_lineno_1=$LINENO
1468   as_lineno_2=$LINENO
1469   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
1470   test "x$as_lineno_1" != "x$as_lineno_2" &&
1471   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
1472   # Find who we are.  Look in the path if we contain no path at all
1473   # relative or not.
1474   case $0 in
1475     *[\\/]* ) as_myself=$0 ;;
1476     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1477 for as_dir in $PATH
1478 do
1479   IFS=$as_save_IFS
1480   test -z "$as_dir" && as_dir=.
1481   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
1482 done
1483
1484        ;;
1485   esac
1486   # We did not find ourselves, most probably we were run as `sh COMMAND'
1487   # in which case we are not to be found in the path.
1488   if test "x$as_myself" = x; then
1489     as_myself=$0
1490   fi
1491   if test ! -f "$as_myself"; then
1492     { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
1493 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
1494    { (exit 1); exit 1; }; }
1495   fi
1496   case $CONFIG_SHELL in
1497   '')
1498     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1499 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
1500 do
1501   IFS=$as_save_IFS
1502   test -z "$as_dir" && as_dir=.
1503   for as_base in sh bash ksh sh5; do
1504          case $as_dir in
1505          /*)
1506            if ("$as_dir/$as_base" -c '
1507   as_lineno_1=$LINENO
1508   as_lineno_2=$LINENO
1509   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
1510   test "x$as_lineno_1" != "x$as_lineno_2" &&
1511   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
1512              $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
1513              $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
1514              CONFIG_SHELL=$as_dir/$as_base
1515              export CONFIG_SHELL
1516              exec "$CONFIG_SHELL" "$0" ${1+"$@"}
1517            fi;;
1518          esac
1519        done
1520 done
1521 ;;
1522   esac
1523
1524   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
1525   # uniformly replaced by the line number.  The first 'sed' inserts a
1526   # line-number line before each line; the second 'sed' does the real
1527   # work.  The second script uses 'N' to pair each line-number line
1528   # with the numbered line, and appends trailing '-' during
1529   # substitution so that $LINENO is not a special case at line end.
1530   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
1531   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
1532   sed '=' <$as_myself |
1533     sed '
1534       N
1535       s,$,-,
1536       : loop
1537       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
1538       t loop
1539       s,-$,,
1540       s,^['$as_cr_digits']*\n,,
1541     ' >$as_me.lineno &&
1542   chmod +x $as_me.lineno ||
1543     { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
1544 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
1545    { (exit 1); exit 1; }; }
1546
1547   # Don't try to exec as it changes $[0], causing all sort of problems
1548   # (the dirname of $[0] is not the place where we might find the
1549   # original and so on.  Autoconf is especially sensible to this).
1550   . ./$as_me.lineno
1551   # Exit status is that of the last command.
1552   exit
1553 }
1554
1555
1556 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
1557   *c*,-n*) ECHO_N= ECHO_C='
1558 ' ECHO_T='      ' ;;
1559   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
1560   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
1561 esac
1562
1563 if expr a : '\(a\)' >/dev/null 2>&1; then
1564   as_expr=expr
1565 else
1566   as_expr=false
1567 fi
1568
1569 rm -f conf$$ conf$$.exe conf$$.file
1570 echo >conf$$.file
1571 if ln -s conf$$.file conf$$ 2>/dev/null; then
1572   # We could just check for DJGPP; but this test a) works b) is more generic
1573   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
1574   if test -f conf$$.exe; then
1575     # Don't use ln at all; we don't have any links
1576     as_ln_s='cp -p'
1577   else
1578     as_ln_s='ln -s'
1579   fi
1580 elif ln conf$$.file conf$$ 2>/dev/null; then
1581   as_ln_s=ln
1582 else
1583   as_ln_s='cp -p'
1584 fi
1585 rm -f conf$$ conf$$.exe conf$$.file
1586
1587 if mkdir -p . 2>/dev/null; then
1588   as_mkdir_p=:
1589 else
1590   test -d ./-p && rmdir ./-p
1591   as_mkdir_p=false
1592 fi
1593
1594 as_executable_p="test -f"
1595
1596 # Sed expression to map a string onto a valid CPP name.
1597 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
1598
1599 # Sed expression to map a string onto a valid variable name.
1600 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
1601
1602
1603 # IFS
1604 # We need space, tab and new line, in precisely that order.
1605 as_nl='
1606 '
1607 IFS="   $as_nl"
1608
1609 # CDPATH.
1610 $as_unset CDPATH
1611
1612 exec 6>&1
1613
1614 # Open the log real soon, to keep \$[0] and so on meaningful, and to
1615 # report actual input values of CONFIG_FILES etc. instead of their
1616 # values after options handling.  Logging --version etc. is OK.
1617 exec 5>>config.log
1618 {
1619   echo
1620   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
1621 ## Running $as_me. ##
1622 _ASBOX
1623 } >&5
1624 cat >&5 <<_CSEOF
1625
1626 This file was extended by $as_me, which was
1627 generated by GNU Autoconf 2.59.  Invocation command line was
1628
1629   CONFIG_FILES    = $CONFIG_FILES
1630   CONFIG_HEADERS  = $CONFIG_HEADERS
1631   CONFIG_LINKS    = $CONFIG_LINKS
1632   CONFIG_COMMANDS = $CONFIG_COMMANDS
1633   $ $0 $@
1634
1635 _CSEOF
1636 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
1637 echo >&5
1638 _ACEOF
1639
1640 # Files that config.status was made for.
1641 if test -n "$ac_config_files"; then
1642   echo "config_files=\"$ac_config_files\"" >>$CONFIG_STATUS
1643 fi
1644
1645 if test -n "$ac_config_headers"; then
1646   echo "config_headers=\"$ac_config_headers\"" >>$CONFIG_STATUS
1647 fi
1648
1649 if test -n "$ac_config_links"; then
1650   echo "config_links=\"$ac_config_links\"" >>$CONFIG_STATUS
1651 fi
1652
1653 if test -n "$ac_config_commands"; then
1654   echo "config_commands=\"$ac_config_commands\"" >>$CONFIG_STATUS
1655 fi
1656
1657 cat >>$CONFIG_STATUS <<\_ACEOF
1658
1659 ac_cs_usage="\
1660 \`$as_me' instantiates files from templates according to the
1661 current configuration.
1662
1663 Usage: $0 [OPTIONS] [FILE]...
1664
1665   -h, --help       print this help, then exit
1666   -V, --version    print version number, then exit
1667   -q, --quiet      do not print progress messages
1668   -d, --debug      don't remove temporary files
1669       --recheck    update $as_me by reconfiguring in the same conditions
1670   --file=FILE[:TEMPLATE]
1671                    instantiate the configuration file FILE
1672
1673 Configuration files:
1674 $config_files
1675
1676 Report bugs to <bug-autoconf@gnu.org>."
1677 _ACEOF
1678
1679 cat >>$CONFIG_STATUS <<_ACEOF
1680 ac_cs_version="\\
1681 config.status
1682 configured by $0, generated by GNU Autoconf 2.59,
1683   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
1684
1685 Copyright (C) 2003 Free Software Foundation, Inc.
1686 This config.status script is free software; the Free Software Foundation
1687 gives unlimited permission to copy, distribute and modify it."
1688 srcdir=$srcdir
1689 _ACEOF
1690
1691 cat >>$CONFIG_STATUS <<\_ACEOF
1692 # If no file are specified by the user, then we need to provide default
1693 # value.  By we need to know if files were specified by the user.
1694 ac_need_defaults=:
1695 while test $# != 0
1696 do
1697   case $1 in
1698   --*=*)
1699     ac_option=`expr "x$1" : 'x\([^=]*\)='`
1700     ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
1701     ac_shift=:
1702     ;;
1703   -*)
1704     ac_option=$1
1705     ac_optarg=$2
1706     ac_shift=shift
1707     ;;
1708   *) # This is not an option, so the user has probably given explicit
1709      # arguments.
1710      ac_option=$1
1711      ac_need_defaults=false;;
1712   esac
1713
1714   case $ac_option in
1715   # Handling of the options.
1716 _ACEOF
1717 cat >>$CONFIG_STATUS <<\_ACEOF
1718   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1719     ac_cs_recheck=: ;;
1720   --version | --vers* | -V )
1721     echo "$ac_cs_version"; exit 0 ;;
1722   --he | --h)
1723     # Conflict between --help and --header
1724     { { echo "$as_me:$LINENO: error: ambiguous option: $1
1725 Try \`$0 --help' for more information." >&5
1726 echo "$as_me: error: ambiguous option: $1
1727 Try \`$0 --help' for more information." >&2;}
1728    { (exit 1); exit 1; }; };;
1729   --help | --hel | -h )
1730     echo "$ac_cs_usage"; exit 0 ;;
1731   --debug | --d* | -d )
1732     debug=: ;;
1733   --file | --fil | --fi | --f )
1734     $ac_shift
1735     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
1736     ac_need_defaults=false;;
1737   --header | --heade | --head | --hea )
1738     $ac_shift
1739     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
1740     ac_need_defaults=false;;
1741   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
1742   | -silent | --silent | --silen | --sile | --sil | --si | --s)
1743     ac_cs_silent=: ;;
1744
1745   # This is an error.
1746   -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
1747 Try \`$0 --help' for more information." >&5
1748 echo "$as_me: error: unrecognized option: $1
1749 Try \`$0 --help' for more information." >&2;}
1750    { (exit 1); exit 1; }; } ;;
1751
1752   *) ac_config_targets="$ac_config_targets $1" ;;
1753
1754   esac
1755   shift
1756 done
1757
1758 ac_configure_extra_args=
1759
1760 if $ac_cs_silent; then
1761   exec 6>/dev/null
1762   ac_configure_extra_args="$ac_configure_extra_args --silent"
1763 fi
1764
1765 _ACEOF
1766 cat >>$CONFIG_STATUS <<_ACEOF
1767 if \$ac_cs_recheck; then
1768   echo "running $SHELL $0 " $ac_configure_args \$ac_configure_extra_args " --no-create --no-recursion" >&6
1769   exec $SHELL $0 $ac_configure_args \$ac_configure_extra_args --no-create --no-recursion
1770 fi
1771
1772 _ACEOF
1773
1774
1775
1776
1777
1778 cat >>$CONFIG_STATUS <<\_ACEOF
1779 for ac_config_target in $ac_config_targets
1780 do
1781   case "$ac_config_target" in
1782   # Handling of arguments.
1783   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
1784   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
1785 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
1786    { (exit 1); exit 1; }; };;
1787   esac
1788 done
1789
1790 # If the user did not use the arguments to specify the items to instantiate,
1791 # then the envvar interface is used.  Set only those that are not.
1792 # We use the long form for the default assignment because of an extremely
1793 # bizarre bug on SunOS 4.1.3.
1794 if $ac_need_defaults; then
1795   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
1796 fi
1797
1798 # Have a temporary directory for convenience.  Make it in the build tree
1799 # simply because there is no reason to put it here, and in addition,
1800 # creating and moving files from /tmp can sometimes cause problems.
1801 # Create a temporary directory, and hook for its removal unless debugging.
1802 $debug ||
1803 {
1804   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
1805   trap '{ (exit 1); exit 1; }' 1 2 13 15
1806 }
1807
1808 # Create a (secure) tmp directory for tmp files.
1809
1810 {
1811   tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
1812   test -n "$tmp" && test -d "$tmp"
1813 }  ||
1814 {
1815   tmp=./confstat$$-$RANDOM
1816   (umask 077 && mkdir $tmp)
1817 } ||
1818 {
1819    echo "$me: cannot create a temporary directory in ." >&2
1820    { (exit 1); exit 1; }
1821 }
1822
1823 _ACEOF
1824
1825 cat >>$CONFIG_STATUS <<_ACEOF
1826
1827 #
1828 # CONFIG_FILES section.
1829 #
1830
1831 # No need to generate the scripts if there are no CONFIG_FILES.
1832 # This happens for instance when ./config.status config.h
1833 if test -n "\$CONFIG_FILES"; then
1834   # Protect against being on the right side of a sed subst in config.status.
1835   sed 's/,@/@@/; s/@,/@@/; s/,;t t\$/@;t t/; /@;t t\$/s/[\\\\&,]/\\\\&/g;
1836    s/@@/,@/; s/@@/@,/; s/@;t t\$/,;t t/' >\$tmp/subs.sed <<\\CEOF
1837 s,@SHELL@,$SHELL,;t t
1838 s,@PATH_SEPARATOR@,$PATH_SEPARATOR,;t t
1839 s,@PACKAGE_NAME@,$PACKAGE_NAME,;t t
1840 s,@PACKAGE_TARNAME@,$PACKAGE_TARNAME,;t t
1841 s,@PACKAGE_VERSION@,$PACKAGE_VERSION,;t t
1842 s,@PACKAGE_STRING@,$PACKAGE_STRING,;t t
1843 s,@PACKAGE_BUGREPORT@,$PACKAGE_BUGREPORT,;t t
1844 s,@exec_prefix@,$exec_prefix,;t t
1845 s,@prefix@,$prefix,;t t
1846 s,@program_transform_name@,$program_transform_name,;t t
1847 s,@bindir@,$bindir,;t t
1848 s,@sbindir@,$sbindir,;t t
1849 s,@libexecdir@,$libexecdir,;t t
1850 s,@datadir@,$datadir,;t t
1851 s,@sysconfdir@,$sysconfdir,;t t
1852 s,@sharedstatedir@,$sharedstatedir,;t t
1853 s,@localstatedir@,$localstatedir,;t t
1854 s,@libdir@,$libdir,;t t
1855 s,@includedir@,$includedir,;t t
1856 s,@oldincludedir@,$oldincludedir,;t t
1857 s,@infodir@,$infodir,;t t
1858 s,@mandir@,$mandir,;t t
1859 s,@build_alias@,$build_alias,;t t
1860 s,@host_alias@,$host_alias,;t t
1861 s,@target_alias@,$target_alias,;t t
1862 s,@DEFS@,$DEFS,;t t
1863 s,@ECHO_C@,$ECHO_C,;t t
1864 s,@ECHO_N@,$ECHO_N,;t t
1865 s,@ECHO_T@,$ECHO_T,;t t
1866 s,@LIBS@,$LIBS,;t t
1867 s,@targetname@,$targetname,;t t
1868 s,@LIBOBJS@,$LIBOBJS,;t t
1869 s,@LTLIBOBJS@,$LTLIBOBJS,;t t
1870 CEOF
1871
1872 _ACEOF
1873
1874   cat >>$CONFIG_STATUS <<\_ACEOF
1875   # Split the substitutions into bite-sized pieces for seds with
1876   # small command number limits, like on Digital OSF/1 and HP-UX.
1877   ac_max_sed_lines=48
1878   ac_sed_frag=1 # Number of current file.
1879   ac_beg=1 # First line for current file.
1880   ac_end=$ac_max_sed_lines # Line after last line for current file.
1881   ac_more_lines=:
1882   ac_sed_cmds=
1883   while $ac_more_lines; do
1884     if test $ac_beg -gt 1; then
1885       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
1886     else
1887       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
1888     fi
1889     if test ! -s $tmp/subs.frag; then
1890       ac_more_lines=false
1891     else
1892       # The purpose of the label and of the branching condition is to
1893       # speed up the sed processing (if there are no `@' at all, there
1894       # is no need to browse any of the substitutions).
1895       # These are the two extra sed commands mentioned above.
1896       (echo ':t
1897   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
1898       if test -z "$ac_sed_cmds"; then
1899         ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
1900       else
1901         ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
1902       fi
1903       ac_sed_frag=`expr $ac_sed_frag + 1`
1904       ac_beg=$ac_end
1905       ac_end=`expr $ac_end + $ac_max_sed_lines`
1906     fi
1907   done
1908   if test -z "$ac_sed_cmds"; then
1909     ac_sed_cmds=cat
1910   fi
1911 fi # test -n "$CONFIG_FILES"
1912
1913 _ACEOF
1914 cat >>$CONFIG_STATUS <<\_ACEOF
1915 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
1916   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1917   case $ac_file in
1918   - | *:- | *:-:* ) # input from stdin
1919         cat >$tmp/stdin
1920         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
1921         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
1922   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
1923         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
1924   * )   ac_file_in=$ac_file.in ;;
1925   esac
1926
1927   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
1928   ac_dir=`(dirname "$ac_file") 2>/dev/null ||
1929 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1930          X"$ac_file" : 'X\(//\)[^/]' \| \
1931          X"$ac_file" : 'X\(//\)$' \| \
1932          X"$ac_file" : 'X\(/\)' \| \
1933          .     : '\(.\)' 2>/dev/null ||
1934 echo X"$ac_file" |
1935     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1936           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1937           /^X\(\/\/\)$/{ s//\1/; q; }
1938           /^X\(\/\).*/{ s//\1/; q; }
1939           s/.*/./; q'`
1940   { if $as_mkdir_p; then
1941     mkdir -p "$ac_dir"
1942   else
1943     as_dir="$ac_dir"
1944     as_dirs=
1945     while test ! -d "$as_dir"; do
1946       as_dirs="$as_dir $as_dirs"
1947       as_dir=`(dirname "$as_dir") 2>/dev/null ||
1948 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1949          X"$as_dir" : 'X\(//\)[^/]' \| \
1950          X"$as_dir" : 'X\(//\)$' \| \
1951          X"$as_dir" : 'X\(/\)' \| \
1952          .     : '\(.\)' 2>/dev/null ||
1953 echo X"$as_dir" |
1954     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1955           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1956           /^X\(\/\/\)$/{ s//\1/; q; }
1957           /^X\(\/\).*/{ s//\1/; q; }
1958           s/.*/./; q'`
1959     done
1960     test ! -n "$as_dirs" || mkdir $as_dirs
1961   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1962 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1963    { (exit 1); exit 1; }; }; }
1964
1965   ac_builddir=.
1966
1967 if test "$ac_dir" != .; then
1968   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1969   # A "../" for each directory in $ac_dir_suffix.
1970   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1971 else
1972   ac_dir_suffix= ac_top_builddir=
1973 fi
1974
1975 case $srcdir in
1976   .)  # No --srcdir option.  We are building in place.
1977     ac_srcdir=.
1978     if test -z "$ac_top_builddir"; then
1979        ac_top_srcdir=.
1980     else
1981        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1982     fi ;;
1983   [\\/]* | ?:[\\/]* )  # Absolute path.
1984     ac_srcdir=$srcdir$ac_dir_suffix;
1985     ac_top_srcdir=$srcdir ;;
1986   *) # Relative path.
1987     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1988     ac_top_srcdir=$ac_top_builddir$srcdir ;;
1989 esac
1990
1991 # Do not use `cd foo && pwd` to compute absolute paths, because
1992 # the directories may not exist.
1993 case `pwd` in
1994 .) ac_abs_builddir="$ac_dir";;
1995 *)
1996   case "$ac_dir" in
1997   .) ac_abs_builddir=`pwd`;;
1998   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
1999   *) ac_abs_builddir=`pwd`/"$ac_dir";;
2000   esac;;
2001 esac
2002 case $ac_abs_builddir in
2003 .) ac_abs_top_builddir=${ac_top_builddir}.;;
2004 *)
2005   case ${ac_top_builddir}. in
2006   .) ac_abs_top_builddir=$ac_abs_builddir;;
2007   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
2008   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
2009   esac;;
2010 esac
2011 case $ac_abs_builddir in
2012 .) ac_abs_srcdir=$ac_srcdir;;
2013 *)
2014   case $ac_srcdir in
2015   .) ac_abs_srcdir=$ac_abs_builddir;;
2016   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
2017   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
2018   esac;;
2019 esac
2020 case $ac_abs_builddir in
2021 .) ac_abs_top_srcdir=$ac_top_srcdir;;
2022 *)
2023   case $ac_top_srcdir in
2024   .) ac_abs_top_srcdir=$ac_abs_builddir;;
2025   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
2026   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
2027   esac;;
2028 esac
2029
2030
2031
2032   if test x"$ac_file" != x-; then
2033     { echo "$as_me:$LINENO: creating $ac_file" >&5
2034 echo "$as_me: creating $ac_file" >&6;}
2035     rm -f "$ac_file"
2036   fi
2037   # Let's still pretend it is `configure' which instantiates (i.e., don't
2038   # use $as_me), people would be surprised to read:
2039   #    /* config.h.  Generated by config.status.  */
2040   if test x"$ac_file" = x-; then
2041     configure_input=
2042   else
2043     configure_input="$ac_file.  "
2044   fi
2045   configure_input=$configure_input"Generated from `echo $ac_file_in |
2046                                      sed 's,.*/,,'` by configure."
2047
2048   # First look for the input files in the build tree, otherwise in the
2049   # src tree.
2050   ac_file_inputs=`IFS=:
2051     for f in $ac_file_in; do
2052       case $f in
2053       -) echo $tmp/stdin ;;
2054       [\\/$]*)
2055          # Absolute (can't be DOS-style, as IFS=:)
2056          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
2057 echo "$as_me: error: cannot find input file: $f" >&2;}
2058    { (exit 1); exit 1; }; }
2059          echo "$f";;
2060       *) # Relative
2061          if test -f "$f"; then
2062            # Build tree
2063            echo "$f"
2064          elif test -f "$srcdir/$f"; then
2065            # Source tree
2066            echo "$srcdir/$f"
2067          else
2068            # /dev/null tree
2069            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
2070 echo "$as_me: error: cannot find input file: $f" >&2;}
2071    { (exit 1); exit 1; }; }
2072          fi;;
2073       esac
2074     done` || { (exit 1); exit 1; }
2075 _ACEOF
2076 cat >>$CONFIG_STATUS <<_ACEOF
2077   sed "$ac_vpsub
2078 $extrasub
2079 _ACEOF
2080 cat >>$CONFIG_STATUS <<\_ACEOF
2081 :t
2082 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
2083 s,@configure_input@,$configure_input,;t t
2084 s,@srcdir@,$ac_srcdir,;t t
2085 s,@abs_srcdir@,$ac_abs_srcdir,;t t
2086 s,@top_srcdir@,$ac_top_srcdir,;t t
2087 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
2088 s,@builddir@,$ac_builddir,;t t
2089 s,@abs_builddir@,$ac_abs_builddir,;t t
2090 s,@top_builddir@,$ac_top_builddir,;t t
2091 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
2092 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
2093   rm -f $tmp/stdin
2094   if test x"$ac_file" != x-; then
2095     mv $tmp/out $ac_file
2096   else
2097     cat $tmp/out
2098     rm -f $tmp/out
2099   fi
2100
2101 done
2102 _ACEOF
2103
2104 cat >>$CONFIG_STATUS <<\_ACEOF
2105
2106 { (exit 0); exit 0; }
2107 _ACEOF
2108 chmod +x $CONFIG_STATUS
2109 ac_clean_files=$ac_clean_files_save
2110
2111
2112 # configure is writing to config.log, and then calls config.status.
2113 # config.status does its own redirection, appending to config.log.
2114 # Unfortunately, on DOS this fails, as config.log is still kept open
2115 # by configure, so config.status won't be able to write to it; its
2116 # output is simply discarded.  So we exec the FD to /dev/null,
2117 # effectively closing config.log, so it can be properly (re)opened and
2118 # appended to by config.status.  When coming back to configure, we
2119 # need to make the FD available again.
2120 if test "$no_create" != yes; then
2121   ac_cs_success=:
2122   ac_config_status_args=
2123   test "$silent" = yes &&
2124     ac_config_status_args="$ac_config_status_args --quiet"
2125   exec 5>/dev/null
2126   $SHELL $CONFIG_STATUS $ac_config_status_args || ac_cs_success=false
2127   exec 5>>config.log
2128   # Use ||, not &&, to avoid exiting from the if with $? = 1, which
2129   # would make configure fail if this is the last instruction.
2130   $ac_cs_success || { (exit 1); exit 1; }
2131 fi
2132